package maze;

import java.util.ArrayList;

public class Path {
  /* Member variables */
  private ArrayList<Cell> cells; // Holds the cells along the path
  
  /* Construct an initially empty path */
  public Path() {
    cells = new ArrayList<Cell>();
  }
  
  /* Accessor methods */
  
  // Return the last cell on the path, or null if the path is empty.
  public Cell lastCell() { 
    return cells.get(cells.size()-1);
  }
  // Print every cell on the path
  public void print() {
    for(Cell c : cells)
        System.out.println(c);
  }
  
  /* Mutator methods */
  
  // Add the given cell to the end of the path
  public void addCell(Cell toAdd) {
   cells.add(toAdd);
  }
  
  // Remove the last cell from the path
  public void removeCell() {
    int lastIndex = cells.size() - 1;
    cells.remove(lastIndex);
  }
  
  
  // Test program to test the Path class
  public static void main(String args[]) {
    Path p = new Path();
    
    Cell one = new Cell(1,2,'o');
    Cell two = new Cell(1,3,'o');
    
    p.addCell(one);
    p.addCell(two);
    
    System.out.println("Path before remove:");
    p.print();
    p.removeCell();
    System.out.println("Path after remove:");
    p.print();
  }
}
